#!/usr/bin/env python
# -*- coding :utf-8 -*-

def _find_container():
    from os.path import join
    from creole import eosfunc
    cont = eosfunc.load_container_var()
    if cont.has_key('container_path_fichier'):
        filepath = join("/", cont['container_path_fichier'].lstrip("/"),
                        'etc/controlevnc/.secret')
        return filepath
    return None

def controlevnc_key():
    from os.path import isfile
    from os.path import isdir
    from os.path import dirname
    from os import makedirs
    from hashlib import sha256
    from os import urandom
    filepath = _find_container()
    if not isdir(dirname(filepath)):
        makedirs(dirname(filepath))
    if not isfile(filepath):
        secret = sha256(urandom(24)).hexdigest()
        with open(filepath, 'wb') as secretfile:
            secretfile.write(secret)
        return secret
    else:
        with open(filepath) as secretfile:
            return secretfile.readline().strip()

